Page MenuHomePhabricator

Release 5.0.4 Disco Hotfix
Closed, ResolvedPublic

Description

Some severe regressions were introduced in 5.0.3 for some users. Rather than create a new board and version, we do any needed work on this ticket, and then document the release here.

Release 5.0.4

Release version: 5.0.4 (851.1)
Release tag: releases/5.0.4.851.1
Release SHA1: 26093dcabfb070ecda456d7a4c79588d9408d471
App Store Submission Date: 4/6/16
App Store Approval Date: 4/9/16
App Store Release Date: 4/9/16


  • Point current status at this card
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC for internal testing on iTunes Connect
  • Distribute RC to TSG on TestFlight
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Verify Crash report received from TSG in Hockey App
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Post on mobile-l when release is on store

Event Timeline

JMinor created this task.May 5 2016, 5:45 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 5 2016, 5:45 PM
JMinor added a comment.May 5 2016, 5:48 PM

Specific issues to fix:

  • Feed loading/jumpiness issue
  • Crash on search

Investigating other crashes as well.

JMinor triaged this task as Unbreak Now! priority.May 5 2016, 5:49 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 5 2016, 5:49 PM
JMinor updated the task description. (Show Details)May 9 2016, 6:01 PM

Released to App Store. Waiting for it to be available before sending announcement and resolving.

JMinor closed this task as Resolved.May 9 2016, 6:44 PM